Any chance for ati-legacy-drivers?

New features which should be implemented in Porteus; suggestions are welcome. All questions or problems with testing releases (alpha, beta, or rc) should go in their relevant thread here, rather than the Bug Reports section.

Re: Any chance for ati-legacy-drivers?

Postby francois » 18 Aug 2016, 05:59

I thought that kiosk was gentoo based, and that porteus desktop slackware based. Interesting to read that there could be hybrid solutions. :)

Salut to you fanthom. :D
Voltaire: Le mieux est l'ennemi du bien.
User avatar
francois
Contributor
Contributor
 
Posts: 4564
Joined: 28 Dec 2010, 15:25
Location: C'est l'autome, en forêt les arbres d'ici nous en mettent plein la vue: les rouges, jaunes ...
Distribution: kde xfce porteus manjaro kubun

Re: Any chance for ati-legacy-drivers?

Postby brokenman » 18 Aug 2016, 14:50

Francois, what do you mean? Why are you posting this here? As far as I know the kiosk is a gentoo based solution.

@Blaze, last night I installed the driver but I get a segmentation fault in Xorg.log. AMD Topaz R7/M265.
So far I have not been able to get any driver for AMD to work with my setup (hybrid intel/AMD).
How do i become super user?
Wear your underpants on the outside and put on a cape.
brokenman
Site Admin
Site Admin
 
Posts: 5333
Joined: 27 Dec 2010, 04:50
Location: Brazil
Distribution: Porteus v3.2rcX all desktops

Re: Any chance for ati-legacy-drivers?

Postby Blaze » 18 Aug 2016, 17:57

brokenman, AMD in its repertoire - iron is good, but with old drivers and poor support.
I do not play at games, so I don't care about AMD driver - I use open source video driver.
I bought AMD video card for sporting interest only.
Linux porteus 4.9.12-porteus #1 SMP PREEMPT Sun Feb 26 13:48:34 BRT 2017 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16
User avatar
Blaze
Warlord
Warlord
 
Posts: 1067
Joined: 28 Dec 2010, 12:31
Location: ☭ Russian Federation, Lipetsk region, Dankov
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64

Re: Any chance for ati-legacy-drivers?

Postby fullmoonremix » 19 Aug 2016, 01:24

@ Blaze... the open source driver sounds like a winner.
OEM's are notorious for poor Linux driver support.

Posted by 73.112.17.83 via http://webwarper.net
This is added while posting a message to avoid misusing the service
Last edited by fullmoonremix on 19 Aug 2016, 04:01, edited 2 times in total.
fullmoonremix
 

Re: Any chance for ati-legacy-drivers?

Postby francois » 19 Aug 2016, 02:53

@ brokenman:
Sorry. In fact, I never read fanthom in porteus desktop in many months, I thought that this was kiosk. Regressing in age, I am a newbe once more. :(
Voltaire: Le mieux est l'ennemi du bien.
User avatar
francois
Contributor
Contributor
 
Posts: 4564
Joined: 28 Dec 2010, 15:25
Location: C'est l'autome, en forêt les arbres d'ici nous en mettent plein la vue: les rouges, jaunes ...
Distribution: kde xfce porteus manjaro kubun

Re: Any chance for ati-legacy-drivers?

Postby sci_fi » 19 Aug 2016, 13:22

Good morning.
I am not able to upgrade beyond version 3.0.1 (32 bit) due to this graphics problem. Both 3.1 and 3.2rc4 do not work properly, apparently due to this problem.
Graphics card information:
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV530/M56-P [Mobility Radeon X1600] (prog-if 00 [VGA controller])

I am unclear if there is a workaround using an opensource driver or something else. If there is, could someone please explain how to obtain and install it. Ideally, I would like to create a module that loads at boot. Looking forward to 3.2.

Any assistance much appreciated.

Thank you and best regards,

sci_fi
sci_fi
Black ninja
Black ninja
 
Posts: 45
Joined: 28 Dec 2010, 19:25

Re: Any chance for ati-legacy-drivers?

Postby francois » 19 Aug 2016, 21:55

From what I know Ed_P is working with 3.0 but with an updated kernel. If this is of any help to you, I imagine he could share the experience.
Voltaire: Le mieux est l'ennemi du bien.
User avatar
francois
Contributor
Contributor
 
Posts: 4564
Joined: 28 Dec 2010, 15:25
Location: C'est l'autome, en forêt les arbres d'ici nous en mettent plein la vue: les rouges, jaunes ...
Distribution: kde xfce porteus manjaro kubun

Re: Any chance for ati-legacy-drivers?

Postby Ed_P » 20 Aug 2016, 06:44

Yes, I am still on 3.0, 3.0.1 actually. The problem I had with 3.1 was with the suspend capability since I run Porteus on netbooks and frequently close the lid to save battery while I do other things.

The solution for me was to use the kernel from 3.0. This link relates to that solution: LXQt suspend not working [solved] If your problem is kernel related it may help.

BTW Since I was using the kernel from 3.0 with 3.1 and expected a 3.2 release in 6 months or so I felt I would stay with 3.0 till the next release. And I still am. :D
Ed
User avatar
Ed_P
Contributor
Contributor
 
Posts: 2640
Joined: 06 Feb 2013, 23:12
Location: Western NY, USA
Distribution: Cinnamon 3.2.* 64-bit ISO

Re: Any chance for ati-legacy-drivers?

Postby sci_fi » 23 Aug 2016, 10:04

Thanks for the advice. I have tried using the 3.0.1 kernel with 3.2rc4 but no joy. That simply disables hardware support for my graphics card, resulting in software rendering. Much slower and poor quality. For the time being, this PC will have to stay on 3.0.1.

Thanks again.

sci_fi
sci_fi
Black ninja
Black ninja
 
Posts: 45
Joined: 28 Dec 2010, 19:25

Re: Any chance for ati-legacy-drivers?

Postby evergreen » 04 Jan 2017, 21:51

Hello,

I am trying to follow the same way as well as Blaze did it to test it in my computer with the official drivers for my APU AMD Radeon R5 Graphics and Porteus Kernel 4.9.0

I added the extra patchs thinking that is necessary for newer kernels.

Code: Select all
mkdir /tmp/amd && cd /tmp/amd
wget --referer='http://support.amd.com/en-us/download/desktop?os=Linux+x86_64' https://www2.ati.com/drivers/linux/radeon-crimson-15.12-15.302-151217a-297685e.zip
unzip radeon-crimson-15.12-15.302-151217a-297685e.zip
cd fglrx-15.302
wget 'https://aur.archlinux.org/cgit/aur.git/snapshot/catalyst-test.tar.gz'
tar -xvzf catalyst-test.tar.gz
chmod +x amd-driver-installer-15.302-x86.x86_64.run
./amd-driver-installer-15.302-x86.x86_64.run --extract ./drv
cd drv/
patch -Np1 --verbose < ../catalyst-test/4.3-gentoo-mtrr.patch
patch -Np1 --verbose < ../catalyst-test/4.3-kolasa-seq_printf.patch
patch -Np1 --verbose < ../catalyst-test/4.4-manjaro-xstate.patch
patch -Np1 --verbose < ../catalyst-test/4.6-arch-get_user_pages-page_cache_release.patch
patch -Np1 --verbose < ../catalyst-test/4.7-arch-cpu_has_pge-v2.patch
patch -Np1 --verbose < ../catalyst-test/4.9_over_4.6-arch-get_user_pages_remote.patch
patch -Np1 --verbose < ../catalyst-test/arch-fglrx-authatieventsd_new.patch
patch -Np1 --verbose < ../catalyst-test/crimson_i686_xg.patch
patch -Np1 --verbose < ../catalyst-test/fglrx_gpl_symbol.patch
patch -Np1 --verbose < ../catalyst-test/grsec_arch.patch
patch -Np1 --verbose < ../catalyst-test/lano1106_fglrx_intel_iommu.patch
patch -Np1 --verbose < ../catalyst-test/lano1106_kcl_agp_13_4.patch
patch -Np1 --verbose < ../catalyst-test/makefile_compat.patch
patch -Np1 --verbose < ../catalyst-test/makesh-dont-check-gcc-version.patch
./ati-installer.sh 15.302 --buildpkg Slackware/Slackware


This is my log, apparently all look very good

Code: Select all
--2017-01-04 15:47:16--  https://www2.ati.com/drivers/linux/radeon-crimson-15.12-15.302-151217a-297685e.zip
Resolving www2.ati.com (www2.ati.com)... 23.13.242.204
Connecting to www2.ati.com (www2.ati.com)|23.13.242.204|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 185391473 (177M) [application/zip]
Saving to: ‘radeon-crimson-15.12-15.302-151217a-297685e.zip’

radeon-crimson-15.1 100%[===================>] 176.80M  6.87MB/s    in 24s     

2017-01-04 15:47:40 (7.32 MB/s) - ‘radeon-crimson-15.12-15.302-151217a-297685e.zip’ saved [185391473/185391473]

Archive:  radeon-crimson-15.12-15.302-151217a-297685e.zip
   creating: fglrx-15.302/
   creating: fglrx-15.302/doc/
  inflating: fglrx-15.302/doc/issues.html 
   creating: fglrx-15.302/doc/articles/
  inflating: fglrx-15.302/doc/articles/4470.html 
  inflating: fglrx-15.302/doc/articles/no3d-kt400.html 
  inflating: fglrx-15.302/doc/articles/dualheadvideo.html 
  inflating: fglrx-15.302/doc/articles/4461.html 
  inflating: fglrx-15.302/doc/articles/4481.html 
  inflating: fglrx-15.302/doc/articles/r420blankdisplay.html 
  inflating: fglrx-15.302/doc/articles/corruptstereo.html 
  inflating: fglrx-15.302/doc/articles/xrestartpcie.html 
  inflating: fglrx-15.302/doc/articles/4479.html 
  inflating: fglrx-15.302/doc/articles/rv280dviblankdisplay.html 
  inflating: fglrx-15.302/doc/articles/4480.html 
  inflating: fglrx-15.302/doc/articles/xvsatshift.html 
  inflating: fglrx-15.302/doc/articles/doom3corrupt.html 
  inflating: fglrx-15.302/doc/articles/4482.html 
  inflating: fglrx-15.302/doc/articles/4469.html 
  inflating: fglrx-15.302/doc/articles/4484.html 
  inflating: fglrx-15.302/doc/articles/dga3dhang.html 
  inflating: fglrx-15.302/doc/articles/1gbhang.html 
  inflating: fglrx-15.302/doc/articles/4483.html 
  inflating: fglrx-15.302/doc/articles/4478.html 
  inflating: fglrx-15.302/doc/articles/4463.html 
  inflating: fglrx-15.302/doc/articles/laptopsuspend.html 
  inflating: fglrx-15.302/doc/articles/rv350springdale.html 
  inflating: fglrx-15.302/doc/articles/xf86_enodev.html 
  inflating: fglrx-15.302/doc/articles/4462.html 
  inflating: fglrx-15.302/doc/articles/devshm.html 
  inflating: fglrx-15.302/doc/articles/no3d-aiw8500dv.html 
  inflating: fglrx-15.302/doc/articles/corruptvtswitch.html 
  inflating: fglrx-15.302/doc/articles/secondheadcorruption.html 
  inflating: fglrx-15.302/doc/articles/4475.html 
  inflating: fglrx-15.302/doc/articles/4464.html 
  inflating: fglrx-15.302/doc/articles/4485.html 
  inflating: fglrx-15.302/doc/articles/mousecursorhang.html 
  inflating: fglrx-15.302/doc/articles/missingdrmheaders.html 
  inflating: fglrx-15.302/doc/articles/nomembercount.html 
  inflating: fglrx-15.302/doc/articles/pcie3dmemoryleak.html 
   creating: fglrx-15.302/doc/user-manual/
  inflating: fglrx-15.302/doc/user-manual/index.html 
  inflating: fglrx-15.302/doc/user-manual/AMD_Linux_Driver_Specification.pdf 
  inflating: fglrx-15.302/doc/configure.html 
  inflating: fglrx-15.302/doc/LICENSE.TXT 
  inflating: fglrx-15.302/doc/index.html 
  inflating: fglrx-15.302/doc/tips-linux.html 
  inflating: fglrx-15.302/doc/driverfaq.html 
  inflating: fglrx-15.302/doc/linuxfaq.html 
  inflating: fglrx-15.302/doc/installer.html 
   creating: fglrx-15.302/doc/examples/
   creating: fglrx-15.302/doc/examples/etc/
   creating: fglrx-15.302/doc/examples/etc/init.d/
  inflating: fglrx-15.302/doc/examples/etc/init.d/atieventsd.sh 
   creating: fglrx-15.302/doc/examples/etc/acpi/
   creating: fglrx-15.302/doc/examples/etc/acpi/events/
  inflating: fglrx-15.302/doc/examples/etc/acpi/events/a-lid-aticonfig 
  inflating: fglrx-15.302/doc/examples/etc/acpi/events/a-ac-aticonfig 
  inflating: fglrx-15.302/doc/examples/etc/acpi/ati-powermode.sh 
  inflating: fglrx-15.302/amd-driver-installer-15.302-x86.x86_64.run 
  inflating: fglrx-15.302/check.sh   
--2017-01-04 15:47:42--  https://aur.archlinux.org/cgit/aur.git/snapshot/catalyst-test.tar.gz
Resolving aur.archlinux.org (aur.archlinux.org)... 5.9.250.164, 2a01:4f8:160:3033::2
Connecting to aur.archlinux.org (aur.archlinux.org)|5.9.250.164|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/x-gzip]
Saving to: ‘catalyst-test.tar.gz’

catalyst-test.tar.g     [ <=>                ]  25.25K  --.-KB/s    in 0s     

2017-01-04 15:47:43 (63.6 MB/s) - ‘catalyst-test.tar.gz’ saved [25859]

catalyst-test/
catalyst-test/.SRCINFO
catalyst-test/4.3-gentoo-mtrr.patch
catalyst-test/4.3-kolasa-seq_printf.patch
catalyst-test/4.4-manjaro-xstate.patch
catalyst-test/4.6-arch-get_user_pages-page_cache_release.patch
catalyst-test/4.7-arch-cpu_has_pge-v2.patch
catalyst-test/4.9_over_4.6-arch-get_user_pages_remote.patch
catalyst-test/PKGBUILD
catalyst-test/arch-fglrx-authatieventsd_new.patch
catalyst-test/ati-powermode.sh
catalyst-test/atieventsd.service
catalyst-test/atieventsd.sh
catalyst-test/catalyst-15.9_control_file.tar.gz
catalyst-test/catalyst-test.install
catalyst-test/catalyst.conf
catalyst-test/catalyst.sh
catalyst-test/crimson_i686_xg.patch
catalyst-test/dkms.conf
catalyst-test/fglrx_gpl_symbol.patch
catalyst-test/grsec_arch.patch
catalyst-test/lano1106_fglrx_intel_iommu.patch
catalyst-test/lano1106_kcl_agp_13_4.patch
catalyst-test/lib32-catalyst.sh
catalyst-test/makefile_compat.patch
catalyst-test/makesh-dont-check-gcc-version.patch
catalyst-test/pxp_switch_catalyst
catalyst-test/switchlibGL
catalyst-test/switchlibglx
catalyst-test/temp-links-catalyst.service
catalyst-test/temp_links_catalyst
Creating directory ./drv
Verifying archive integrity... All good.
Uncompressing AMD Proprietary Driver-15.302...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 15.9/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-09-09 00:57:14.000000000 +0200
|+++ 15.9/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-11-03 19:00:09.121884973 +0100
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 3424 (offset 12 lines).
Hunk #2 succeeded at 3437 (offset 12 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 15.9/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-09-09 00:57:14.000000000 +0200
|+++ 15.9b/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-11-02 21:02:06.124639919 +0100
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 631 (offset 8 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 15.12/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-12-18 19:47:41.000000000 +0100
|+++ 15.12b/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-12-19 20:48:13.223261632 +0100
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 6464 (offset 14 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 16.5/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-12-18 19:47:41.000000000 +0100
|+++ 16.5b/common/lib/modules/fglrx/build_mod/firegl_public.c   2016-05-09 20:29:48.227025117 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 3225 (offset 5 lines).
Hunk #2 succeeded at 3247 (offset 5 lines).
Hunk #3 succeeded at 3262 (offset 5 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -uNr 16.8/common/lib/modules/fglrx/build_mod/firegl_public.c 16.8b/common/lib/modules/fglrx/build_mod/firegl_public.c
|--- 16.8/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-12-18 19:47:41.000000000 +0100
|+++ 16.8b/common/lib/modules/fglrx/build_mod/firegl_public.c   2016-08-15 15:09:37.228538907 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 4544 (offset 26 lines).
Hunk #2 succeeded at 4562 (offset 26 lines).
Hunk #3 succeeded at 4593 (offset 26 lines).
Hunk #4 succeeded at 4610 (offset 26 lines).
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -uNr 16.8/common/lib/modules/fglrx/build_mod/firegl_public.h 16.8b/common/lib/modules/fglrx/build_mod/firegl_public.h
|--- 16.8/common/lib/modules/fglrx/build_mod/firegl_public.h   2015-12-18 19:47:41.000000000 +0100
|+++ 16.8b/common/lib/modules/fglrx/build_mod/firegl_public.h   2016-08-15 15:09:05.815141238 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.h
Using Plan A...
Hunk #1 succeeded at 650.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 16.12/common/lib/modules/fglrx/build_mod/firegl_public.c   2016-12-10 19:44:46.764677311 +0100
|+++ 16.12b/common/lib/modules/fglrx/build_mod/firegl_public.c   2016-12-10 19:45:43.941354338 +0100
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 3225.
Hunk #2 succeeded at 3249.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 14.1/common/etc/ati/authatieventsd.sh   2014-01-30 15:36:26.000000000 +0100
|+++ 14.1/common/etc/ati/authatieventsd.sh   2014-02-02 14:10:19.529653688 +0100
--------------------------
patching file common/etc/ati/authatieventsd.sh
Using Plan A...
Hunk #1 succeeded at 32.
Hunk #2 succeeded at 42.
Hunk #3 succeeded at 85.
Hunk #4 succeeded at 98.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 15.11/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-11-21 00:35:38.000000000 +0100
|+++ 15.11b/common/lib/modules/fglrx/build_mod/firegl_public.c   2015-11-24 22:28:02.113843493 +0100
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 1719 (offset 5 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 13.1/common/lib/modules/fglrx/build_mod/firegl_public.c   2013-01-15 22:33:27.000000000 +0100
|+++ 13.1/common/lib/modules/fglrx/build_mod/firegl_public.c   2014-08-18 20:05:44.327520475 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 285 (offset 35 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -uNr 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c 15.12b/common/lib/modules/fglrx//build_mod/firegl_public.c
|--- 15.12/common/lib/modules/fglrx//build_mod/firegl_public.c   2015-12-19 21:14:13.251002548 +0100
|+++ 15.12b/common/lib/modules/fglrx//build_mod/firegl_public.c   2015-12-19 21:36:27.703783498 +0100
--------------------------
patching file common/lib/modules/fglrx//build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 6500 (offset 35 lines).
Hunk #2 succeeded at 6531 (offset 35 lines).
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -uNr 15.12/common/lib/modules/fglrx//build_mod/kcl_acpi.c 15.12b/common/lib/modules/fglrx//build_mod/kcl_acpi.c
|--- 15.12/common/lib/modules/fglrx//build_mod/kcl_acpi.c   2015-12-19 21:14:13.247669219 +0100
|+++ 15.12b/common/lib/modules/fglrx//build_mod/kcl_acpi.c   2015-12-19 21:10:27.224899708 +0100
--------------------------
patching file common/lib/modules/fglrx//build_mod/kcl_acpi.c
Using Plan A...
Hunk #1 succeeded at 145.
Hunk #2 succeeded at 404.
Hunk #3 succeeded at 421.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c   2013-04-16 23:29:55.000000000 +0200
|+++ 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c   2013-05-21 17:05:34.726681102 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/firegl_public.c
Using Plan A...
Hunk #1 succeeded at 93 with fuzz 2.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 13.4/common/lib/modules/fglrx/build_mod/kcl_agp.c   2013-05-24 16:45:52.236740084 -0400
|+++ 13.4/common/lib/modules/fglrx/build_mod/kcl_agp.c   2013-05-24 16:49:29.283579408 -0400
--------------------------
patching file common/lib/modules/fglrx/build_mod/kcl_agp.c
Using Plan A...
Hunk #1 succeeded at 56.
Hunk #2 succeeded at 309.
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 10.10/common/lib/modules/fglrx/build_mod/2.6.x/Makefile   2010-09-22 09:15:33.000000000 +0200
|+++ 10.10/common/lib/modules/fglrx/build_mod/2.6.x/Makefile   2010-10-01 17:57:21.057820899 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/2.6.x/Makefile
Using Plan A...
Hunk #1 succeeded at 68 (offset 2 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- 16.5/common/lib/modules/fglrx/build_mod/make.sh   2015-12-18 19:47:41.000000000 +0100
|+++ 16.5b/common/lib/modules/fglrx/build_mod/make.sh   2016-05-11 22:04:56.681353509 +0200
--------------------------
patching file common/lib/modules/fglrx/build_mod/make.sh
Using Plan A...
Hunk #1 succeeded at 57.
done
=====================================================================
 AMD  Proprietary Driver Installer/Packager
=====================================================================
Generating package: Slackware/Slackware

ATI SlackBuild
--------------------------------------------
by: Emanuele Tomasi <tomasi@cli.di.unipi.it>

AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/4.9.0-porteus/build SUBDIRS=/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory '/usr/src/linux-4.9'
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
In file included from /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:207:0:
/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:654:21: warning: extra tokens at end of #ifndef directive
 #ifndef boot_cpu_has(X86_FEATURE_PGE)
                     ^
/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:6497:12: warning: ‘KCL_fpu_save_init’ defined but not used [-Wunused-function]
 static int KCL_fpu_save_init(struct task_struct *tsk)
            ^
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:851:20: warning: ‘KCL_ACPI_Slot_No_Hotplug’ defined but not used [-Wunused-function]
 static acpi_status KCL_ACPI_Slot_No_Hotplug(KCL_ACPI_DevHandle handle, u32 lvl, void *data, void **rv)
                    ^
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
In file included from /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:38:0:
/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:654:21: warning: extra tokens at end of #ifndef directive
 #ifndef boot_cpu_has(X86_FEATURE_PGE)
                     ^
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
In file included from /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.c:48:0:
/tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.h:654:21: warning: extra tokens at end of #ifndef directive
 #ifndef boot_cpu_has(X86_FEATURE_PGE)
                     ^
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  CC [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  LD [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
<command-line>:0:0: warning: "COMPAT_ALLOC_USER_SPACE" redefined
<command-line>:0:0: note: this is the location of the previous definition
  LD [M]  /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory '/usr/src/linux-4.9'
build succeeded with return value 0
duplicating results into driver repository...
done.
You must change your working directory to /tmp/amd/fglrx-15.302/drv/common/lib/modules/fglrx
and then call ./make_install.sh in order to install the built module.
cp: preserving permissions for ‘usr/bin’: Invalid argument
cp: preserving permissions for ‘usr/lib64/fglrx’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules/dri’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules/drivers’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules/extensions/fglrx’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules/extensions’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules/linux’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg/modules’: Invalid argument
cp: preserving permissions for ‘usr/lib64/xorg’: Invalid argument
cp: preserving permissions for ‘usr/lib64’: Invalid argument

Slackware package maker, version 3.141593.

Searching for symbolic links:
usr/lib64/libatiuki.so   libatiuki.so.1
usr/lib64/libatiuki.so.1   libatiuki.so.1.0
usr/lib64/libXvBAW.so   libXvBAW.so.1
usr/lib64/libXvBAW.so.1   libXvBAW.so.1.0
usr/lib64/libfglrx_dm.so   libfglrx_dm.so.1
usr/lib64/libfglrx_dm.so.1   libfglrx_dm.so.1.0
usr/lib64/libAMDXvBA.so   libAMDXvBA.so.1
usr/lib64/libAMDXvBA.so.1   libAMDXvBA.so.1.0
usr/lib64/libGL.so   libGL.so.1
usr/lib64/libGL.so.1   libGL.so.1.2
usr/lib64/libGL.so.1.2   fglrx/fglrx-libGL.so.1.2
usr/lib64/xorg/modules/extensions/libglx.so   fglrx/fglrx-libglx.so

Making symbolic link creation script:
( cd usr/lib64 ; rm -rf libatiuki.so )
( cd usr/lib64 ; ln -sf libatiuki.so.1 libatiuki.so )
( cd usr/lib64 ; rm -rf libatiuki.so.1 )
( cd usr/lib64 ; ln -sf libatiuki.so.1.0 libatiuki.so.1 )
( cd usr/lib64 ; rm -rf libXvBAW.so )
( cd usr/lib64 ; ln -sf libXvBAW.so.1 libXvBAW.so )
( cd usr/lib64 ; rm -rf libXvBAW.so.1 )
( cd usr/lib64 ; ln -sf libXvBAW.so.1.0 libXvBAW.so.1 )
( cd usr/lib64 ; rm -rf libfglrx_dm.so )
( cd usr/lib64 ; ln -sf libfglrx_dm.so.1 libfglrx_dm.so )
( cd usr/lib64 ; rm -rf libfglrx_dm.so.1 )
( cd usr/lib64 ; ln -sf libfglrx_dm.so.1.0 libfglrx_dm.so.1 )
( cd usr/lib64 ; rm -rf libAMDXvBA.so )
( cd usr/lib64 ; ln -sf libAMDXvBA.so.1 libAMDXvBA.so )
( cd usr/lib64 ; rm -rf libAMDXvBA.so.1 )
( cd usr/lib64 ; ln -sf libAMDXvBA.so.1.0 libAMDXvBA.so.1 )
( cd usr/lib64 ; rm -rf libGL.so )
( cd usr/lib64 ; ln -sf libGL.so.1 libGL.so )
( cd usr/lib64 ; rm -rf libGL.so.1 )
( cd usr/lib64 ; ln -sf libGL.so.1.2 libGL.so.1 )
( cd usr/lib64 ; rm -rf libGL.so.1.2 )
( cd usr/lib64 ; ln -sf fglrx/fglrx-libGL.so.1.2 libGL.so.1.2 )
( cd usr/lib64/xorg/modules/extensions ; rm -rf libglx.so )
( cd usr/lib64/xorg/modules/extensions ; ln -sf fglrx/fglrx-libglx.so libglx.so )

Unless your existing installation script already contains the code
to create these links, you should append these lines to your existing
install script. Now's your chance. :^)

Would you like to add this stuff to the existing install script and
remove the symbolic links ([y]es, [n]o)? y


Removing symbolic links:
removed './usr/lib64/libatiuki.so'
removed './usr/lib64/libatiuki.so.1'
removed './usr/lib64/libXvBAW.so'
removed './usr/lib64/libXvBAW.so.1'
removed './usr/lib64/libfglrx_dm.so'
removed './usr/lib64/libfglrx_dm.so.1'
removed './usr/lib64/libAMDXvBA.so'
removed './usr/lib64/libAMDXvBA.so.1'
removed './usr/lib64/libGL.so'
removed './usr/lib64/libGL.so.1'
removed './usr/lib64/libGL.so.1.2'
removed './usr/lib64/xorg/modules/extensions/libglx.so'

Updating your ./install/doinst.sh...

This next step is optional - you can set the directories in your package
to some sane permissions. If any of the directories in your package have
special permissions, then DO NOT reset them here!

Would you like to reset all directory permissions to 755 (drwxr-xr-x) and
directory ownerships to root.root ([y]es, [n]o)? n

Creating Slackware package:  /tmp/amd/fglrx-15.302/fglrx-15.302-x86_64-1.tgz

./
install/
install/doinst.sh
install/slack-desc
etc/
etc/ati/
etc/ati/atiapfxx
etc/ati/authatieventsd.sh.new
etc/ati/signature
etc/ati/logo_mask.xbm.example
etc/ati/logo.xbm.example
etc/ati/control
etc/ati/atiapfxx.log
etc/ati/atiapfxx.blb
etc/ati/amdpcsdb.default
usr/
usr/man/
usr/man/man8/
usr/man/man8/atieventsd.8.gz
usr/src/
usr/src/ati/
usr/src/ati/fglrx_sample_source.tgz
usr/include/
usr/include/ATI/
usr/include/ATI/GL/
usr/include/ATI/GL/glxext.h
usr/include/ATI/GL/glx.h
usr/include/GL/
usr/include/GL/glATI.h
usr/include/GL/glxATI.h
usr/share/
usr/share/applications/
usr/share/applications/amdccclesu.desktop
usr/share/applications/amdcccle.desktop
usr/share/icons/
usr/share/icons/ccc_large.xpm
usr/share/doc/
usr/share/doc/amdcccle/
usr/share/doc/amdcccle/ccc_copyrights.txt
usr/share/doc/fglrx/
usr/share/doc/fglrx/examples/
usr/share/doc/fglrx/examples/etc/
usr/share/doc/fglrx/examples/etc/acpi/
usr/share/doc/fglrx/examples/etc/acpi/ati-powermode.sh
usr/share/doc/fglrx/examples/etc/acpi/events/
usr/share/doc/fglrx/examples/etc/acpi/events/a-ac-aticonfig
usr/share/doc/fglrx/examples/etc/acpi/events/a-lid-aticonfig
usr/share/doc/fglrx/examples/etc/init.d/
usr/share/doc/fglrx/examples/etc/init.d/atieventsd.sh
usr/share/doc/fglrx/installer.html
usr/share/doc/fglrx/linuxfaq.html
usr/share/doc/fglrx/driverfaq.html
usr/share/doc/fglrx/tips-linux.html
usr/share/doc/fglrx/index.html
usr/share/doc/fglrx/LICENSE.TXT
usr/share/doc/fglrx/configure.html
usr/share/doc/fglrx/user-manual/
usr/share/doc/fglrx/user-manual/AMD_Linux_Driver_Specification.pdf
usr/share/doc/fglrx/user-manual/index.html
usr/share/doc/fglrx/articles/
usr/share/doc/fglrx/articles/pcie3dmemoryleak.html
usr/share/doc/fglrx/articles/nomembercount.html
usr/share/doc/fglrx/articles/missingdrmheaders.html
usr/share/doc/fglrx/articles/mousecursorhang.html
usr/share/doc/fglrx/articles/4485.html
usr/share/doc/fglrx/articles/4464.html
usr/share/doc/fglrx/articles/4475.html
usr/share/doc/fglrx/articles/secondheadcorruption.html
usr/share/doc/fglrx/articles/corruptvtswitch.html
usr/share/doc/fglrx/articles/no3d-aiw8500dv.html
usr/share/doc/fglrx/articles/devshm.html
usr/share/doc/fglrx/articles/4462.html
usr/share/doc/fglrx/articles/xf86_enodev.html
usr/share/doc/fglrx/articles/rv350springdale.html
usr/share/doc/fglrx/articles/laptopsuspend.html
usr/share/doc/fglrx/articles/4463.html
usr/share/doc/fglrx/articles/4478.html
usr/share/doc/fglrx/articles/4483.html
usr/share/doc/fglrx/articles/1gbhang.html
usr/share/doc/fglrx/articles/dga3dhang.html
usr/share/doc/fglrx/articles/4484.html
usr/share/doc/fglrx/articles/4469.html
usr/share/doc/fglrx/articles/4482.html
usr/share/doc/fglrx/articles/doom3corrupt.html
usr/share/doc/fglrx/articles/xvsatshift.html
usr/share/doc/fglrx/articles/4480.html
usr/share/doc/fglrx/articles/rv280dviblankdisplay.html
usr/share/doc/fglrx/articles/4479.html
usr/share/doc/fglrx/articles/xrestartpcie.html
usr/share/doc/fglrx/articles/corruptstereo.html
usr/share/doc/fglrx/articles/r420blankdisplay.html
usr/share/doc/fglrx/articles/4481.html
usr/share/doc/fglrx/articles/4461.html
usr/share/doc/fglrx/articles/dualheadvideo.html
usr/share/doc/fglrx/articles/no3d-kt400.html
usr/share/doc/fglrx/articles/4470.html
usr/share/doc/fglrx/issues.html
usr/share/ati/
usr/share/ati/amd-uninstall.sh
usr/share/ati/ATI_SlackBuild/
usr/share/ati/ATI_SlackBuild/locale/
usr/share/ati/ATI_SlackBuild/locale/it/
usr/share/ati/ATI_SlackBuild/locale/it/LC_MESSAGES/
usr/share/ati/ATI_SlackBuild/locale/it/LC_MESSAGES/ATI_SlackBuild.mo
usr/share/ati/amdcccle/
usr/share/ati/amdcccle/amdcccle_de.qm
usr/share/ati/amdcccle/amdcccle_no.qm
usr/share/ati/amdcccle/amdcccle_ko_KR.qm
usr/share/ati/amdcccle/amdcccle_zh_TW.qm
usr/share/ati/amdcccle/amdcccle_ru_RU.qm
usr/share/ati/amdcccle/amdcccle_fi_FI.qm
usr/share/ati/amdcccle/qt_fr.qm
usr/share/ati/amdcccle/amdcccle_it_IT.qm
usr/share/ati/amdcccle/qt_cs.qm
usr/share/ati/amdcccle/qt_ja_JP.qm
usr/share/ati/amdcccle/amdcccle_es_ES.qm
usr/share/ati/amdcccle/amdcccle_tr_TR.qm
usr/share/ati/amdcccle/qt_pl.qm
usr/share/ati/amdcccle/qt_pt.qm
usr/share/ati/amdcccle/qt_sv.qm
usr/share/ati/amdcccle/qt_es.qm
usr/share/ati/amdcccle/qt_zh_TW.qm
usr/share/ati/amdcccle/amdcccle_hu_HU.qm
usr/share/ati/amdcccle/amdcccle_zh_CN.qm
usr/share/ati/amdcccle/qt_ru.qm
usr/share/ati/amdcccle/amdcccle_th.qm
usr/share/ati/amdcccle/qt_ko.qm
usr/share/ati/amdcccle/amdcccle_pt_BR.qm
usr/share/ati/amdcccle/amdcccle_cs.qm
usr/share/ati/amdcccle/qt_hu.qm
usr/share/ati/amdcccle/amdcccle_da_DK.qm
usr/share/ati/amdcccle/amdcccle_sv_SE.qm
usr/share/ati/amdcccle/amdcccle_ja.qm
usr/share/ati/amdcccle/amdcccle_pl.qm
usr/share/ati/amdcccle/amdcccle_fr_FR.qm
usr/share/ati/amdcccle/qt_de.qm
usr/share/ati/amdcccle/amdcccle_el_GR.qm
usr/share/ati/amdcccle/qt_ja.qm
usr/share/ati/amdcccle/qt_zh_CN.qm
usr/share/ati/amdcccle/qt_da.qm
usr/share/ati/amdcccle/amdcccle_nl_NL.qm
usr/share/ati/lib64/
usr/share/ati/lib64/libQtGui.so.4
usr/share/ati/lib64/libQtCore.so.4
usr/sbin/
usr/sbin/atieventsd
usr/sbin/amdnotifyui
usr/sbin/atigetsysteminfo.sh
usr/lib64/
usr/lib64/libamdocl64.so
usr/lib64/libaticalcl.so
usr/lib64/libaticalrt.so
usr/lib64/libatiuki.so.1.0
usr/lib64/libaticaldd.so
usr/lib64/libOpenCL.so.1
usr/lib64/libamdocl12cl64.so
usr/lib64/libXvBAW.so.1.0
usr/lib64/libatiadlxx.so
usr/lib64/libfglrx_dm.so.1.0
usr/lib64/libAMDXvBA.so.1.0
usr/lib64/xorg/
usr/lib64/xorg/modules/
usr/lib64/xorg/modules/glesx.so
usr/lib64/xorg/modules/amdxmm.so
usr/lib64/xorg/modules/linux/
usr/lib64/xorg/modules/linux/libfglrxdrm.so
usr/lib64/xorg/modules/extensions/
usr/lib64/xorg/modules/extensions/fglrx/
usr/lib64/xorg/modules/extensions/fglrx/fglrx-libglx.so
usr/lib64/xorg/modules/drivers/
usr/lib64/xorg/modules/drivers/fglrx_drv.so
usr/lib64/xorg/modules/dri/
usr/lib64/xorg/modules/dri/fglrx_dri.so
usr/lib64/libAMDXvBA.cap
usr/lib64/libfglrx_dm.a
usr/lib64/fglrx/
usr/lib64/fglrx/fglrx-libGL.so.1.2
usr/lib64/fglrx/switchlibGL
usr/lib64/fglrx/switchlibglx
usr/bin/
usr/bin/clinfo
usr/bin/fglrxinfo
usr/bin/amd-console-helper
usr/bin/amdcccle
usr/bin/fgl_glxgears
usr/bin/atiode
usr/bin/atiodcli
usr/bin/aticonfig
usr/bin/amdupdaterandrconfig
usr/bin/amdxdg-su
lib/
lib/modules/
lib/modules/4.9.0-porteus/
lib/modules/4.9.0-porteus/external/
lib/modules/4.9.0-porteus/external/fglrx.ko.gz

Slackware package /tmp/amd/fglrx-15.302/fglrx-15.302-x86_64-1.tgz created.


To ended I converted my new pack to xzm.. my module is done and I included the radeon blacklist. from Blaze

Unfortunately when I reboot my laptop Nothing happens... and XOrg didnt provide me any log to show .. I can login and work with my console without go to X
Here is my module to whom wish to test it.
https://1fichier.com/?31igqz1yge

Thanks to who could help me if somebody now what is wrong :)
Porteus-XFCE-v3.2.2-x86_64 Kernel 4.9 AMD A8-7410, APU AMD Radeon R5 Graphics M330
evergreen
White ninja
White ninja
 
Posts: 12
Joined: 27 Mar 2016, 17:58
Location: sweden
Distribution: porteus x64

Re: Any chance for ati-legacy-drivers?

Postby Blaze » 09 Jan 2017, 17:59

Hi evergreen.
I can't download your module. Can you upload on another shared hosting?
Thanks.
Linux porteus 4.9.12-porteus #1 SMP PREEMPT Sun Feb 26 13:48:34 BRT 2017 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16
User avatar
Blaze
Warlord
Warlord
 
Posts: 1067
Joined: 28 Dec 2010, 12:31
Location: ☭ Russian Federation, Lipetsk region, Dankov
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64

Re: Any chance for ati-legacy-drivers?

Postby evergreen » 10 Jan 2017, 00:02

Blaze wrote:Hi evergreen.
I can't download your module. Can you upload on another shared hosting?
Thanks.


Hello Blaze
Of course, here is the module. I uploaded in a new place... Hope work nice in your computer.
http://bit.ly/2jbfOik
Your welcome.
Porteus-XFCE-v3.2.2-x86_64 Kernel 4.9 AMD A8-7410, APU AMD Radeon R5 Graphics M330
evergreen
White ninja
White ninja
 
Posts: 12
Joined: 27 Mar 2016, 17:58
Location: sweden
Distribution: porteus x64

Re: Any chance for ati-legacy-drivers?

Postby Blaze » 10 Jan 2017, 20:08

evergreen, I tried your module fglrx-15.302-x86_64-1.xzm in Text mode, but I received only black screen and underscore in the left corner of the monitor.
AMD Radeon seems hopeless in terms of drivers :( I never will buy AMD.
Linux porteus 4.9.12-porteus #1 SMP PREEMPT Sun Feb 26 13:48:34 BRT 2017 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16
User avatar
Blaze
Warlord
Warlord
 
Posts: 1067
Joined: 28 Dec 2010, 12:31
Location: ☭ Russian Federation, Lipetsk region, Dankov
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64

Re: Any chance for ati-legacy-drivers?

Postby evergreen » 18 Jan 2017, 00:52

Hi again,

I would like to try to make it work I am a stubborn guy, but I dont know how find out a xorg 1.17 module or how to create it.. according our driver here is the requirement.

Code: Select all
System Requirements
Before attempting to install the AMD Radeon Software Crimson Edition 15.12 Proprietary Linux Graphics Driver, the following software must be installed:
Xorg/Xserver 7.4 and above (up to 1.17)
Linux kernel 2.6 or above (up to 3.19)
glibc version 2.2 or 2.3
POSIX Shared Memory (/dev/shm) support is required for 3D applications


Could be this the problem?

Blaze wrote:evergreen, I tried your module fglrx-15.302-x86_64-1.xzm in Text mode, but I received only black screen and underscore in the left corner of the monitor.
AMD Radeon seems hopeless in terms of drivers :( I never will buy AMD.
Porteus-XFCE-v3.2.2-x86_64 Kernel 4.9 AMD A8-7410, APU AMD Radeon R5 Graphics M330
evergreen
White ninja
White ninja
 
Posts: 12
Joined: 27 Mar 2016, 17:58
Location: sweden
Distribution: porteus x64

Re: Any chance for ati-legacy-drivers?

Postby Blaze » 18 Jan 2017, 16:59

evergreen, I think you can take old 002-xorg.xzm from Porteus 3.1 and try to replace this module 002-xorg.xzm in /mnt/Porteus_partition/porteus/base/ (Porteus 3.2.2)

Cheers
Linux porteus 4.9.12-porteus #1 SMP PREEMPT Sun Feb 26 13:48:34 BRT 2017 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16
User avatar
Blaze
Warlord
Warlord
 
Posts: 1067
Joined: 28 Dec 2010, 12:31
Location: ☭ Russian Federation, Lipetsk region, Dankov
Distribution: ⟰ Porteus 3.2 Cinnamon x86_64

PreviousNext

Return to Development



Who is online

Users browsing this forum: No registered users and 2 guests